Bug 1032005 - Colors reversed on PDF page saved as image
Colors reversed on PDF page saved as image
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 06:00 EST by Turgut Kalfaoglu
Modified: 2015-02-17 14:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:18:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A sample page saved from a PDF (159.79 KB, image/png)
2013-11-19 06:14 EST, Turgut Kalfaoglu
no flags Details
sample pdf (989.50 KB, application/pdf)
2013-11-19 10:32 EST, Turgut Kalfaoglu
no flags Details

  None (edit)
Description Turgut Kalfaoglu 2013-11-19 06:00:43 EST
Description of problem:

When a PDF is opened and one right clicks over a page and selects "save as image", the resulting image (png or jpg tested)'s colors are all reversed. That is, white becomes black, and so on.


Version-Release number of selected component (if applicable):

evince 3.8.3

How reproducible:

every time

Steps to Reproduce:
1. load a pdf
2. right click and select save as image
3. open the saved image using any tool

Actual results:
Colors reversed

Expected results:
Correct colors

Additional info:
Comment 1 Turgut Kalfaoglu 2013-11-19 06:14:43 EST
Created attachment 826011 [details]
A sample page saved from a PDF
Comment 2 Marek Kašík 2013-11-19 09:49:19 EST
Hi Turgut,

which tool you use for viewing the image? Could you attach a sample PDF which reproduces the problem?

Regards

Marek
Comment 3 Turgut Kalfaoglu 2013-11-19 10:31:24 EST
hi. I used Acrobat X Pro - from scanner straight to PDF.
I'll attach a sample..
Comment 4 Turgut Kalfaoglu 2013-11-19 10:32:22 EST
Created attachment 826143 [details]
sample pdf
Comment 5 Marek Kašík 2013-11-19 10:48:08 EST
Hi Turgut,

thank you for the PDF. I tried to reproduce the problem but the saved picture looks exactly like the PDF (the number in the top right corner is red).
Don't you have inverted colors turned on in evince?

Regards

Marek
Comment 6 Fedora End Of Life 2015-01-09 15:38:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 14:18:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.